// File: /index.js

import React from 'react'
import { render } from 'react-dom'
import { Provider } from 'react-redux'
import { createStore } from 'redux'
import appReducers from './reducers'
import ReminderListContainer from './containers/ReminderListContainer'

// Create the store by passing in all our reducers.
let store = createStore(appReducers)

// Render the application - note that the store provider is the top-level element
render(
  <Provider store={store}>
    <div>
        <ReminderListContainer />
    </div>
  </Provider>,
  document.getElementById('root')
)